/**
 * Vue File Uploader 组件入口文件
 * 支持 Vue 2.x 和 Vue 3.x
 */
import type { App } from 'vue';
import FileUploader from './components/FileUploader.vue';
import type { FileUploaderProps, UploadFile, UploadStatus } from './types';
export { FileUploader };
export type { FileUploaderProps, UploadFile, UploadStatus };
declare const _default: {
    install: (app: App<any>) => void;
    FileUploader: import("vue-demi").DefineComponent<{}, {}, any, import("vue-demi").ComputedOptions, import("vue-demi").MethodOptions, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<import("vue-demi").ExtractPropTypes<{}>>, {}, {}, {}, {}, string, import("vue-demi").ComponentProvideOptions, true, {}, any>;
};
export default _default;
export * from './types';
declare global {
    interface Window {
        Vue?: App;
    }
}
