import type { UploadFile } from '../types';
declare const _default: import("vue").DefineComponent<{
    action: string;
    multiple?: boolean | undefined;
    accept?: string | undefined;
    maxSize?: number | undefined;
    maxCount?: number | undefined;
    headers?: Record<string, string> | undefined;
    data?: Record<string, any> | undefined;
    autoUpload?: boolean | undefined;
    fileList?: UploadFile[] | undefined;
    disabled?: boolean | undefined;
    drag?: boolean | undefined;
}, {
    fileInput: import("vue").Ref<HTMLInputElement | null, HTMLInputElement | null>;
    fileList: import("vue").Ref<{
        uid: string;
        name: string;
        size: number;
        type: string;
        status: import("../types").UploadStatus;
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[], UploadFile[] | {
        uid: string;
        name: string;
        size: number;
        type: string;
        status: import("../types").UploadStatus;
        percentage?: number | undefined;
        response?: any;
        url?: string | undefined;
        error?: any;
    }[]>;
    handleClick: () => void;
    handleChange: (event: Event) => void;
    handleDrop: (event: DragEvent) => void;
    handleDragover: () => void;
    handleDragleave: () => void;
    removeFile: (file: UploadFile) => void;
    formatSize: (bytes: number) => string;
    submit: () => void;
    isDragging: import("vue").Ref<boolean, boolean>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "success" | "error" | "progress" | "exceed" | "update:fileList")[], "change" | "success" | "error" | "progress" | "exceed" | "update:fileList", import("vue").PublicProps, Readonly<{
    action: string;
    multiple?: boolean | undefined;
    accept?: string | undefined;
    maxSize?: number | undefined;
    maxCount?: number | undefined;
    headers?: Record<string, string> | undefined;
    data?: Record<string, any> | undefined;
    autoUpload?: boolean | undefined;
    fileList?: UploadFile[] | undefined;
    disabled?: boolean | undefined;
    drag?: boolean | undefined;
}> & Readonly<{
    onChange?: ((...args: any[]) => any) | undefined;
    onSuccess?: ((...args: any[]) => any) | undefined;
    onError?: ((...args: any[]) => any) | undefined;
    onProgress?: ((...args: any[]) => any) | undefined;
    onExceed?: ((...args: any[]) => any) | undefined;
    "onUpdate:fileList"?: ((...args: any[]) => any) | undefined;
}>, {
    multiple: boolean;
    accept: string;
    maxSize: number;
    maxCount: number;
    headers: Record<string, string>;
    data: Record<string, any>;
    autoUpload: boolean;
    fileList: UploadFile[];
    disabled: boolean;
    drag: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
